List distribution requests
curl --request POST \
--url https://api.example.com/distribution-requests/list \
--header 'Content-Type: application/json' \
--data '
{
"pageInfo": {
"count": 10,
"page": 1
}
}
'import requests
url = "https://api.example.com/distribution-requests/list"
payload = { "pageInfo": {
"count": 10,
"page": 1
} }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({pageInfo: {count: 10, page: 1}})
};
fetch('https://api.example.com/distribution-requests/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"type": "<string>",
"brokerageFirmId": "<string>",
"productId": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"pageInfo": {
"first": true,
"last": true
},
"totalCount": 123,
"currentPage": 123,
"totalPages": 123
}distribution-requests
List distribution requests
POST
/
distribution-requests
/
list
List distribution requests
Query Parameters
Status of the distribution request
Available options:
PENDING, WAITING_FOR_SIGNATURE, APPROVED, DENIED, REVOKED Brokerage firm the request is attached to
Product id
Body
application/json
Response
200 - application/json
Was this page helpful?
⌘I

